{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.local.baseline;
in {
  options.local.baseline = {
    enable = mkEnableOption "Basic home settings";
  };
  config = mkIf cfg.enable {
    xdg = {
      enable = true;
    };

    home = {
      stateVersion = "24.05"; # DO NOT CHANGE

      packages = with pkgs; [
        calc
        dysk
        file
        gcc
        htop
        killall
        man-pages
        man-pages-posix
        pv
        tree
        units
        unzip
        vim
        wl-clipboard
        zip
      ];
      keyboard = {
        layout = "us";
        variant = "altgr-intl";
      };
      sessionVariables = {
        "EDITOR" = mkDefault "vim";
      };
    };

    programs.git = {
      enable = true;
      userEmail = "fabian@posixlycorrect.com";
      userName = "Fabian Montero";
    };
  };
}
